#!/usr/bin/python3
#_______________________________________________________________________________________________________________________________
#
# PARAMETROS RECIBIDOS DESDE EL CLIENTE:
# $1 disco
# $2 par=Número de particion
# $3 Nombre canónico de la imagen
# $4 Dirección IP del repositorio
# $5 Protocolo  UNICAST  MULTICAST  TORRENT
# $6 Opciones del protocolo
#_______________________________________________________________________________________________________________________________

# Llamar al script de despliegue "deployImage".

import sys
import subprocess

import ogGlobals

if __name__ == '__main__':
    prog = sys.argv[0]
    if len (sys.argv) < 6:
        print (f'Usage: {prog} <disk> <partition> <image_name> <repo_ip> <protocol> [protocol_options] [additional_args...]')
        sys.exit (1)

    disk, par, imgname, repo, proto, *extra = sys.argv[1:]

    rc = subprocess.run ([f'{ogGlobals.OGSCRIPTS}/deployImage.py', repo, imgname, disk, par, proto] + extra).returncode
    sys.exit (rc)
