#!/usr/bin/python3

import sys
import subprocess

import ogGlobals
from SystemLib import ogRaiseError

# UHU - Comprobamos el disco, si solo hay un parametro, disco es 1, por compatibilidad con clientes antiguos
prog = sys.argv[0]
if len (sys.argv) < 2 or len (sys.argv) > 3:
    ogRaiseError ([], ogGlobals.OG_ERR_FORMAT, f'{prog} disk [partition]')
    sys.exit (1)
args = sys.argv[1:]

if 1 == len (args):
    disk = '1'
    part = args[0]
else:
    disk = args[0]
    part = args[1]

subprocess.run ([f'{ogGlobals.OGSCRIPTS}/bootOs.py', disk, part])
